#ifndef  ASSERT_STORMAMIGA_H
#define  ASSERT_STORMAMIGA_H

/*
**     $VER: assert_stormamiga.h 1.0 (18.09.98)
**             Includes Release 45.00
**
**    Copyright  1996/2000 by CyberdyneSystems
**
**            written by Matthias Henze
**               All Rights Reserved
*/

#ifndef  STORMAMIGA_H
  #include <stormamiga.h>
#endif

#ifdef __cplusplus
  extern "C" {
#endif

/*----- stormamiga-functions -----*/

#ifdef  NDEBUG
  #define assert_(C)
#else
  void    do_assert_  (char *, char *, char *, uint);
  #define assert_(C)  { if(!(C)) do_assert_(#C, __FILE__, __FUNC__, __LINE__); }
#endif

#ifdef __cplusplus
  }
#endif

#endif  /* ASSERT_STORMAMIGA_H */
